## ucar.multiarray
Class OffsetIndexIterator

    java.lang.Object
      ucar.multiarray.IndexIterator
          ucar.multiarray.OffsetIndexIterator

public class OffsetIndexIterator
extends IndexIterator

An IndexIterator where the lower bound is non-zero.

See Also:
  `IndexIterator`

Field Summary

Fields inherited from class ucar.multiarray.IndexIterator
`counter, limits, ncycles`

Constructor Summary
`OffsetIndexIterator(int[] theOffset, int[] theLimits)`

Method Summary
`void` `incr()` Increment the odometer

Methods inherited from class ucar.multiarray.IndexIterator
`advance, equals, isZero, main, notDone, toString, value`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OffsetIndexIterator

    public OffsetIndexIterator(int[] theOffset,
                               int[] theLimits)

Method Detail

### incr

    public void incr()

  Increment the odometer

  Overrides:
    `incr` in class `IndexIterator`